com.labjack

## Enum LJM.Errors

- java.lang.Object
- - java.lang.Enum<LJM.Errors>
  - - com.labjack.LJM.Errors

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<LJM.Errors>
  Enclosing class:
    LJM

      public static enum LJM.Errors
      extends java.lang.Enum<LJM.Errors>

  Errors is an enum containing the error constants from the LJM library. The "LJME_" prefix have been removed from the original names.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ATTR_LOAD_COMM_FAILURE`
    `AUTO_IPS_FILE_INVALID`
    `AUTO_IPS_FILE_NOT_FOUND`
    `CANNOT_CONNECT`
    `CANNOT_DISCONNECT`
    `CANNOT_OPEN_DEVICE`
    `CANNOT_READ_OUT_ONLY_STREAM`
    `CONFIG_FILE_NOT_FOUND`
    `CONFIG_PARSING_ERROR`
    `CONNECTION_HAS_YIELDED_RECONNECT_FAILED`
    `CONSTANTS_FILE_NOT_FOUND`
    `COULD_NOT_CLAIM_DEVICE` Deprecated. Replaced by `DEVICE_CURRENTLY_CLAIMED_BY_ANOTHER_PROCESS`
    `COULD_NOT_START_STREAM`
    `DEBUG_LOG_FAILURE`
    `DEBUG_LOG_FILE_NOT_OPEN`
    `DEVICE_ALREADY_OPEN`
    `DEVICE_CURRENTLY_CLAIMED_BY_ANOTHER_PROCESS`
    `DEVICE_NOT_FOUND`
    `DEVICE_NOT_OPEN`
    `ERROR_BIT_SET`
    `ERROR_RETRIEVAL_FAILURE`
    `FRAMES_OMITTED_DUE_TO_PACKET_SIZE`
    `FUNCTION_DOES_NOT_SUPPORT_THIS_TYPE`
    `FUNCTION_ERR`
    `INCORRECT_NUM_COMMAND_BYTES_SENT`
    `INCORRECT_NUM_RESPONSE_BYTES_RECEIVED`
    `INTENT_NOT_READY`
    `INVALID_ADDRESS`
    `INVALID_CONFIG_NAME`
    `INVALID_CONNECTION_TYPE`
    `INVALID_CONSTANTS_FILE`
    `INVALID_DEVICE_TYPE`
    `INVALID_DIRECTION`
    `INVALID_FUNCTION`
    `INVALID_HANDLE`
    `INVALID_INDEX`
    `INVALID_INFO_HANDLE`
    `INVALID_LENGTH`
    `INVALID_MAXBYTESPERMBFB`
    `INVALID_NAME`
    `INVALID_NUM_REGISTERS`
    `INVALID_NUM_VALUES`
    `INVALID_PARAMETER`
    `INVALID_PROTOCOL_ID`
    `INVALID_TRANSACTION_ID`
    `INVALID_VALUE`
    `INVALID_VALUE_TYPE` Deprecated. Replaced by `UNKNOWN_VALUE_TYPE`
    `LENGTH_ERR`
    `LIBRARY_ERRORS_BEGIN`
    `LIBRARY_ERRORS_END`
    `LJM_BUFFER_FULL`
    `MBE1_ILLEGAL_FUNCTION`
    `MBE10_GATEWAY_PATH_UNAVAILABLE`
    `MBE11_GATEWAY_TARGET_NO_RESPONSE`
    `MBE2_ILLEGAL_DATA_ADDRESS`
    `MBE3_ILLEGAL_DATA_VALUE`
    `MBE4_SLAVE_DEVICE_FAILURE`
    `MBE5_ACKNOWLEDGE`
    `MBE6_SLAVE_DEVICE_BUSY`
    `MBE8_MEMORY_PARITY_ERROR`
    `MEMORY_ALLOCATION_FAILURE`
    `MIXED_FORMAT_IP_ADDRESS`
    `MODBUS_ERRORS_BEGIN`
    `MODBUS_ERRORS_END`
    `NO_COMMAND_BYTES_SENT`
    `NO_DEVICES_FOUND`
    `NO_RESPONSE_BYTES_RECEIVED`
    `NO_SCANS_RETURNED`
    `NOERROR`
    `NOT_IMPLEMENTED`
    `NULL_OBJ`
    `NULL_POINTER`
    `NUM_BYTES_ERR`
    `NUM_REGS_ERR`
    `OLD_FIRMWARE`
    `OVERSPECIFIED_PORT`
    `PACKET_SIZE_TOO_LARGE`
    `PROTOCOL_ID_ERR`
    `RECONNECT_FAILED`
    `RESERVED_NAME`
    `SOCKET_LEVEL_ERROR`
    `STARTING_REG_ERR`
    `STREAM_NOT_INITIALIZED`
    `STREAM_NOT_RUNNING`
    `SYNCHRONIZATION_TIMEOUT`
    `TEMPERATURE_OUT_OF_RANGE`
    `TRANSACTION_ID_ERR`
    `U3_CANNOT_BE_OPENED_BY_LJM` Deprecated. Replaced by `U3_NOT_SUPPORTED_BY_LJM`
    `U3_NOT_SUPPORTED_BY_LJM`
    `U6_CANNOT_BE_OPENED_BY_LJM` Deprecated. Replaced by `U6_NOT_SUPPORTED_BY_LJM`
    `U6_NOT_SUPPORTED_BY_LJM`
    `UE9_CANNOT_BE_OPENED_BY_LJM` Deprecated. Replaced by `UE9_NOT_SUPPORTED_BY_LJM`
    `UE9_NOT_SUPPORTED_BY_LJM`
    `UNABLE_TO_STOP_STREAM`
    `UNIT_ID_ERR`
    `UNKNOWN_ERROR`
    `UNKNOWN_IDENTIFIER`
    `UNKNOWN_VALUE_TYPE`
    `UNPARSABLE_CONNECTION_TYPE`
    `UNPARSABLE_DEVICE_TYPE`
    `UNPARSABLE_IDENTIFIER`
    `USB_FAILURE`
    `USING_DEFAULT_CALIBRATION`
    `VOLTAGE_OUT_OF_RANGE`
    `WARNINGS_BEGIN`
    `WARNINGS_END`
    `WINSOCK_FAILURE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValue()`
    `static LJM.Errors` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LJM.Errors[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOERROR

          public static final LJM.Errors NOERROR

    - #### WARNINGS_BEGIN

          public static final LJM.Errors WARNINGS_BEGIN

    - #### WARNINGS_END

          public static final LJM.Errors WARNINGS_END

    - #### FRAMES_OMITTED_DUE_TO_PACKET_SIZE

          public static final LJM.Errors FRAMES_OMITTED_DUE_TO_PACKET_SIZE

    - #### DEBUG_LOG_FAILURE

          public static final LJM.Errors DEBUG_LOG_FAILURE

    - #### USING_DEFAULT_CALIBRATION

          public static final LJM.Errors USING_DEFAULT_CALIBRATION

    - #### DEBUG_LOG_FILE_NOT_OPEN

          public static final LJM.Errors DEBUG_LOG_FILE_NOT_OPEN

    - #### MODBUS_ERRORS_BEGIN

          public static final LJM.Errors MODBUS_ERRORS_BEGIN

    - #### MODBUS_ERRORS_END

          public static final LJM.Errors MODBUS_ERRORS_END

    - #### MBE1_ILLEGAL_FUNCTION

          public static final LJM.Errors MBE1_ILLEGAL_FUNCTION

    - #### MBE2_ILLEGAL_DATA_ADDRESS

          public static final LJM.Errors MBE2_ILLEGAL_DATA_ADDRESS

    - #### MBE3_ILLEGAL_DATA_VALUE

          public static final LJM.Errors MBE3_ILLEGAL_DATA_VALUE

    - #### MBE4_SLAVE_DEVICE_FAILURE

          public static final LJM.Errors MBE4_SLAVE_DEVICE_FAILURE

    - #### MBE5_ACKNOWLEDGE

          public static final LJM.Errors MBE5_ACKNOWLEDGE

    - #### MBE6_SLAVE_DEVICE_BUSY

          public static final LJM.Errors MBE6_SLAVE_DEVICE_BUSY

    - #### MBE8_MEMORY_PARITY_ERROR

          public static final LJM.Errors MBE8_MEMORY_PARITY_ERROR

    - #### MBE10_GATEWAY_PATH_UNAVAILABLE

          public static final LJM.Errors MBE10_GATEWAY_PATH_UNAVAILABLE

    - #### MBE11_GATEWAY_TARGET_NO_RESPONSE

          public static final LJM.Errors MBE11_GATEWAY_TARGET_NO_RESPONSE

    - #### LIBRARY_ERRORS_BEGIN

          public static final LJM.Errors LIBRARY_ERRORS_BEGIN

    - #### LIBRARY_ERRORS_END

          public static final LJM.Errors LIBRARY_ERRORS_END

    - #### UNKNOWN_ERROR

          public static final LJM.Errors UNKNOWN_ERROR

    - #### INVALID_DEVICE_TYPE

          public static final LJM.Errors INVALID_DEVICE_TYPE

    - #### INVALID_HANDLE

          public static final LJM.Errors INVALID_HANDLE

    - #### DEVICE_NOT_OPEN

          public static final LJM.Errors DEVICE_NOT_OPEN

    - #### STREAM_NOT_INITIALIZED

          public static final LJM.Errors STREAM_NOT_INITIALIZED

    - #### DEVICE_NOT_FOUND

          public static final LJM.Errors DEVICE_NOT_FOUND

    - #### DEVICE_ALREADY_OPEN

          public static final LJM.Errors DEVICE_ALREADY_OPEN

    - #### DEVICE_CURRENTLY_CLAIMED_BY_ANOTHER_PROCESS

          public static final LJM.Errors DEVICE_CURRENTLY_CLAIMED_BY_ANOTHER_PROCESS

    - #### CANNOT_CONNECT

          public static final LJM.Errors CANNOT_CONNECT

    - #### SOCKET_LEVEL_ERROR

          public static final LJM.Errors SOCKET_LEVEL_ERROR

    - #### CANNOT_OPEN_DEVICE

          public static final LJM.Errors CANNOT_OPEN_DEVICE

    - #### CANNOT_DISCONNECT

          public static final LJM.Errors CANNOT_DISCONNECT

    - #### WINSOCK_FAILURE

          public static final LJM.Errors WINSOCK_FAILURE

    - #### RECONNECT_FAILED

          public static final LJM.Errors RECONNECT_FAILED

    - #### CONNECTION_HAS_YIELDED_RECONNECT_FAILED

          public static final LJM.Errors CONNECTION_HAS_YIELDED_RECONNECT_FAILED

    - #### USB_FAILURE

          public static final LJM.Errors USB_FAILURE

    - #### U3_NOT_SUPPORTED_BY_LJM

          public static final LJM.Errors U3_NOT_SUPPORTED_BY_LJM

    - #### U6_NOT_SUPPORTED_BY_LJM

          public static final LJM.Errors U6_NOT_SUPPORTED_BY_LJM

    - #### UE9_NOT_SUPPORTED_BY_LJM

          public static final LJM.Errors UE9_NOT_SUPPORTED_BY_LJM

    - #### INVALID_ADDRESS

          public static final LJM.Errors INVALID_ADDRESS

    - #### INVALID_CONNECTION_TYPE

          public static final LJM.Errors INVALID_CONNECTION_TYPE

    - #### INVALID_DIRECTION

          public static final LJM.Errors INVALID_DIRECTION

    - #### INVALID_FUNCTION

          public static final LJM.Errors INVALID_FUNCTION

    - #### INVALID_NUM_REGISTERS

          public static final LJM.Errors INVALID_NUM_REGISTERS

    - #### INVALID_PARAMETER

          public static final LJM.Errors INVALID_PARAMETER

    - #### INVALID_PROTOCOL_ID

          public static final LJM.Errors INVALID_PROTOCOL_ID

    - #### INVALID_TRANSACTION_ID

          public static final LJM.Errors INVALID_TRANSACTION_ID

    - #### UNKNOWN_VALUE_TYPE

          public static final LJM.Errors UNKNOWN_VALUE_TYPE

    - #### MEMORY_ALLOCATION_FAILURE

          public static final LJM.Errors MEMORY_ALLOCATION_FAILURE

    - #### NO_COMMAND_BYTES_SENT

          public static final LJM.Errors NO_COMMAND_BYTES_SENT

    - #### INCORRECT_NUM_COMMAND_BYTES_SENT

          public static final LJM.Errors INCORRECT_NUM_COMMAND_BYTES_SENT

    - #### NO_RESPONSE_BYTES_RECEIVED

          public static final LJM.Errors NO_RESPONSE_BYTES_RECEIVED

    - #### INCORRECT_NUM_RESPONSE_BYTES_RECEIVED

          public static final LJM.Errors INCORRECT_NUM_RESPONSE_BYTES_RECEIVED

    - #### MIXED_FORMAT_IP_ADDRESS

          public static final LJM.Errors MIXED_FORMAT_IP_ADDRESS

    - #### UNKNOWN_IDENTIFIER

          public static final LJM.Errors UNKNOWN_IDENTIFIER

    - #### NOT_IMPLEMENTED

          public static final LJM.Errors NOT_IMPLEMENTED

    - #### INVALID_INDEX

          public static final LJM.Errors INVALID_INDEX

    - #### INVALID_LENGTH

          public static final LJM.Errors INVALID_LENGTH

    - #### ERROR_BIT_SET

          public static final LJM.Errors ERROR_BIT_SET

    - #### INVALID_MAXBYTESPERMBFB

          public static final LJM.Errors INVALID_MAXBYTESPERMBFB

    - #### NULL_POINTER

          public static final LJM.Errors NULL_POINTER

    - #### NULL_OBJ

          public static final LJM.Errors NULL_OBJ

    - #### RESERVED_NAME

          public static final LJM.Errors RESERVED_NAME

    - #### UNPARSABLE_DEVICE_TYPE

          public static final LJM.Errors UNPARSABLE_DEVICE_TYPE

    - #### UNPARSABLE_CONNECTION_TYPE

          public static final LJM.Errors UNPARSABLE_CONNECTION_TYPE

    - #### UNPARSABLE_IDENTIFIER

          public static final LJM.Errors UNPARSABLE_IDENTIFIER

    - #### PACKET_SIZE_TOO_LARGE

          public static final LJM.Errors PACKET_SIZE_TOO_LARGE

    - #### TRANSACTION_ID_ERR

          public static final LJM.Errors TRANSACTION_ID_ERR

    - #### PROTOCOL_ID_ERR

          public static final LJM.Errors PROTOCOL_ID_ERR

    - #### LENGTH_ERR

          public static final LJM.Errors LENGTH_ERR

    - #### UNIT_ID_ERR

          public static final LJM.Errors UNIT_ID_ERR

    - #### FUNCTION_ERR

          public static final LJM.Errors FUNCTION_ERR

    - #### STARTING_REG_ERR

          public static final LJM.Errors STARTING_REG_ERR

    - #### NUM_REGS_ERR

          public static final LJM.Errors NUM_REGS_ERR

    - #### NUM_BYTES_ERR

          public static final LJM.Errors NUM_BYTES_ERR

    - #### CONFIG_FILE_NOT_FOUND

          public static final LJM.Errors CONFIG_FILE_NOT_FOUND

    - #### CONFIG_PARSING_ERROR

          public static final LJM.Errors CONFIG_PARSING_ERROR

    - #### INVALID_NUM_VALUES

          public static final LJM.Errors INVALID_NUM_VALUES

    - #### CONSTANTS_FILE_NOT_FOUND

          public static final LJM.Errors CONSTANTS_FILE_NOT_FOUND

    - #### INVALID_CONSTANTS_FILE

          public static final LJM.Errors INVALID_CONSTANTS_FILE

    - #### INVALID_NAME

          public static final LJM.Errors INVALID_NAME

    - #### OVERSPECIFIED_PORT

          public static final LJM.Errors OVERSPECIFIED_PORT

    - #### INTENT_NOT_READY

          public static final LJM.Errors INTENT_NOT_READY

    - #### ATTR_LOAD_COMM_FAILURE

          public static final LJM.Errors ATTR_LOAD_COMM_FAILURE

    - #### INVALID_CONFIG_NAME

          public static final LJM.Errors INVALID_CONFIG_NAME

    - #### ERROR_RETRIEVAL_FAILURE

          public static final LJM.Errors ERROR_RETRIEVAL_FAILURE

    - #### LJM_BUFFER_FULL

          public static final LJM.Errors LJM_BUFFER_FULL

    - #### COULD_NOT_START_STREAM

          public static final LJM.Errors COULD_NOT_START_STREAM

    - #### STREAM_NOT_RUNNING

          public static final LJM.Errors STREAM_NOT_RUNNING

    - #### UNABLE_TO_STOP_STREAM

          public static final LJM.Errors UNABLE_TO_STOP_STREAM

    - #### INVALID_VALUE

          public static final LJM.Errors INVALID_VALUE

    - #### SYNCHRONIZATION_TIMEOUT

          public static final LJM.Errors SYNCHRONIZATION_TIMEOUT

    - #### OLD_FIRMWARE

          public static final LJM.Errors OLD_FIRMWARE

    - #### CANNOT_READ_OUT_ONLY_STREAM

          public static final LJM.Errors CANNOT_READ_OUT_ONLY_STREAM

    - #### NO_SCANS_RETURNED

          public static final LJM.Errors NO_SCANS_RETURNED

    - #### TEMPERATURE_OUT_OF_RANGE

          public static final LJM.Errors TEMPERATURE_OUT_OF_RANGE

    - #### VOLTAGE_OUT_OF_RANGE

          public static final LJM.Errors VOLTAGE_OUT_OF_RANGE

    - #### FUNCTION_DOES_NOT_SUPPORT_THIS_TYPE

          public static final LJM.Errors FUNCTION_DOES_NOT_SUPPORT_THIS_TYPE

    - #### INVALID_INFO_HANDLE

          public static final LJM.Errors INVALID_INFO_HANDLE

    - #### NO_DEVICES_FOUND

          public static final LJM.Errors NO_DEVICES_FOUND

    - #### AUTO_IPS_FILE_NOT_FOUND

          public static final LJM.Errors AUTO_IPS_FILE_NOT_FOUND

    - #### AUTO_IPS_FILE_INVALID

          public static final LJM.Errors AUTO_IPS_FILE_INVALID

    - #### COULD_NOT_CLAIM_DEVICE

          @Deprecated
          public static final LJM.Errors COULD_NOT_CLAIM_DEVICE

      Deprecated. Replaced by `DEVICE_CURRENTLY_CLAIMED_BY_ANOTHER_PROCESS`

    - #### U3_CANNOT_BE_OPENED_BY_LJM

          @Deprecated
          public static final LJM.Errors U3_CANNOT_BE_OPENED_BY_LJM

      Deprecated. Replaced by `U3_NOT_SUPPORTED_BY_LJM`

    - #### U6_CANNOT_BE_OPENED_BY_LJM

          @Deprecated
          public static final LJM.Errors U6_CANNOT_BE_OPENED_BY_LJM

      Deprecated. Replaced by `U6_NOT_SUPPORTED_BY_LJM`

    - #### UE9_CANNOT_BE_OPENED_BY_LJM

          @Deprecated
          public static final LJM.Errors UE9_CANNOT_BE_OPENED_BY_LJM

      Deprecated. Replaced by `UE9_NOT_SUPPORTED_BY_LJM`

    - #### INVALID_VALUE_TYPE

          @Deprecated
          public static final LJM.Errors INVALID_VALUE_TYPE

      Deprecated. Replaced by `UNKNOWN_VALUE_TYPE`

  - ### Method Detail

    - #### values

          public static LJM.Errors[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LJM.Errors c : LJM.Errors.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LJM.Errors valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public int getValue()

      Returns:
        The error value.